## org.eclipse.datatools.sqltools.data.internal.core.editor
Interface ITableEditorResultFilter

    public interface ITableEditorResultFilter

Interface for external extensions to provide filters to restrict the results returned when querying a table. Extending the related extension-point and implementing this interface allows users to select the columns and/or where condition to restrict the results returned for editing.

Author:
  Quy On

Method Summary
`java.sql.ResultSet` `getResultSet()` Gets the Result Set for the construction of the table editor.
`java.lang.String` `getSQLQueryString()` Gets the SQL string to be used to query the database when the table editor is constructed This method can return null if isReturningResultSet() is true
`boolean` `isReturningResultSet()` Gets whether or not the external filter implementation will return a Result Set.
`boolean` `isUseExternalFilterDialog()` Gets whether or not an external filter dialog or wizard should be launched to get result filters
`boolean` `open()` Opens the external dialog.
`void` `setTable(Table aTable)` Sets the Table to be edited

Method Detail

### isUseExternalFilterDialog

    boolean isUseExternalFilterDialog()

  Gets whether or not an external filter dialog or wizard should be launched to get result filters

  Returns:
    true if filter dialog will be launched, false if no filter dialog

### open

    boolean open()

  Opens the external dialog. This method can be no-op if isUseExternalFilterDialog() returns false.

  Returns:
    true if user selects the OK or Finish button, false if Cancel is selected

### isReturningResultSet

    boolean isReturningResultSet()

  Gets whether or not the external filter implementation will return a Result Set.

  Returns:
    true if a Result Set is to be returned by the external filter implementation, false if a SQL query string is returned instead.

### getSQLQueryString

    java.lang.String getSQLQueryString()

  Gets the SQL string to be used to query the database when the table editor is constructed This method can return null if isReturningResultSet() is true

  Returns:
    the SQL query string

### getResultSet

    java.sql.ResultSet getResultSet()

  Gets the Result Set for the construction of the table editor. This method can return null if isReturningResultSet() is false.

  Returns:
    the Result Set returned by the external filter implementation

### setTable

    void setTable(Table aTable)

  Sets the Table to be edited

  Parameters:
    `aTable` - the table that is being edited